<?php
    include_once("validate.php");
    include_once("header.php");
    include_once("../config.php");
    
    foreach ($_POST as $key => $value)
    { 
        $newValue = trim($value);
        if(get_magic_quotes_gpc())
        {
            $newValue = stripslashes($newValue);
        }
        $newValue = mysql_real_escape_string($newValue);
        $_POST[$key] = $newValue; 
    }
    
    $error = 0;
    if (isset($_POST["mode"]))
    {
        if ($_POST["mode"] == "config")
        {
            $newDateFormat = $_POST["dateFormat"];
            $newPassword = $_POST["password"];
            $newPasswordCompare = $_POST["passwordcompare"];
            $newSecretKey = $_POST["secretKey"];
            
            if ($dateFormat != $newDateFormat)
            {
                if ($newDateFormat == "")
                {
                    $error = $error + 1;
                }
                else
                {
                    mysql_query('UPDATE options SET value="'.$newDateFormat.'" WHERE id="dateFormat"');
                    $dateFormat = $newDateFormat;
                }
            }
            if ($newPassword != $newPasswordCompare)
            {
                $error = $error + 2;
            }
            elseif ($newPassword != "")
            {
                mysql_query('UPDATE options SET value="'.md5($newPassword).'" WHERE id="admin"');            
            }
            if ($secretKey != $newSecretKey)
            {
                if ($newSecretKey == "")
                {
                    $error = $error + 8;
                }
                else
                {
                    mysql_query('UPDATE options SET value="'.$newSecretKey.'" WHERE id="secretKey"');
                    $secretKey = $newSecretKey;                      
                }
            }
        }
    }
    elseif (isset($_GET["mode"]))
    {
        if ($_GET["mode"] == "server")
        {
            echo "<div class=\"block\"><h3>Updated server list</h3></div>";
        }
    }    
?>
<div class="block">
	<h1>Admin Panel</h1>
    <div class="block">
        <p>Welcome to the admin panel. From here you can make changes to the configuration options for the MYOA installation, and also add/edit/delete servers to the MYOA installation.<br /><strong>Note: If you are using the <em>MySQL via PHP</em> storage method you must setup your servers so that the connections can successfully be made between game server and web page. For all other storage options setting up servers is optional.</strong></p>
        <h2>Configuration Options</h2>
        <div class="block">
            <p>Change the values of these variables to suit your installation. (Only change the values you want to change.)</p>
            <form name="configform" action="admin.php" method="post">
                <input type="hidden" name="mode" value="config" />
                Date Format:<br /><input type="text" name="dateFormat" value="<?php echo $dateFormat; ?>" />
                <?php
                    if ($error % 2 == 1)
                    {
                        echo "<span>Date format should be non-zero in length.</span>";
                        $error = $error - 1;
                    }
                ?>
                <br /><br />
                New Password:<br /><input type="password" name="password" /><br /><br />
                Re-enter Password:<br /><input type="password" name="passwordcompare" />
                <?php
                    if ($error % 4 == 2)
                    {
                        echo "<span>Passwords do not match.</span>";
                        $error = $error - 2;
                    }
                    if ($error % 8 == 4)
                    {
                        echo "<span>Passwords should be non-zero in length.</span>";
                        $error = $error - 4;
                    }                ?>
                <br /><br />
                Secret Key:<br /><input type="text" name="secretKey" value="<?php echo $secretKey; ?>" />
                <?php
                    if ($error % 16 == 8)
                    {
                        echo "<span>Secret key should be non-zero in length.</span>";
                        $error = $error - 8;
                    }
                ?>
                <br /><br />
                <input type="submit" />
            </form>
        </div>
        <h2>Servers</h2>
        <div class="block">
            <p>Below is a list of servers currently set-up on this installation of MYOA. Click on a server to edit the properties of the server, or click <a href="addserver.php">Add Server</a> to add a new server to the list.</p>
            <?php        
                $listA = true;
                $query = mysql_query("SELECT * FROM servers ORDER BY description");
                while($row = mysql_fetch_row($query))
                {
                    if ($listA)
                    {
                        echo '<div class="listA">';
                        $listA = false;
                    }
                    else
                    {
                        echo '<div class="listB">';
                        $listA = true;
                    }
                    
                    echo '<a href="editserver.php?id='.$row[0].'">'.$row[3].' ('.$row[1].':'.$row[2].')</a></div>';
                }
            ?>
        </div>
    </div>
</div>
<?php
    include_once("../layout/footer.php");
?>