<?php
function buildAchievementTag($img, $title, $description, $progress, $totalProgress, $link)
{
    if ($img == "")
    {
        $img = "achimages/default.png";
    }
    elseif (strncmp($img, "http://", strlen("http://")) != 0)
    {
        $img = "achimages/".$img;
    }

    $returnString = '<table class="achievementTable">
			<tr>
				<td class="achievementTL"></td>
				<td class="achievementT"></td>
				<td class="achievementTR"></td>
			</tr>
			<tr>
				<td class="achievementL"></td>
				<td class="achievement">
					<table class="achievementSubTable">
						<tr>
							<td class="achievementIcon"><img class="achievementIconImg" src="'.$img.'" alt="'.htmlspecialchars($title).'" /></td>
							<td>';
    if ($link != "")
    {
        $returnString = $returnString.'<div class="achievementTitle"><a class="noDecoration" href="'.$link.'">'.htmlspecialchars($title).'</a></div>'; 
    }
    else
    {
        $returnString = $returnString.'<div class="achievementTitle">'.htmlspecialchars($title).'</div>'; 
    }
							
	$returnString = $returnString.'<div class="achievementDescription">'.htmlspecialchars($description).'</div>
								<div class="achievementProgress">
									<div class="achievementProgressBar" style="width:'.(($progress * 100) / $totalProgress).'%">'.$progress.'/'.$totalProgress.'</div>
								</div>
							</td>
						</tr>
					</table>
				</td>
				<td class="achievementR"></td>
			</tr>
			<tr>
				<td class="achievementBL"></td>
				<td class="achievementB"></td>
				<td class="achievementBR"></td>
			</tr>
		</table>';
		
	return $returnString;
}
?>